﻿button[type=submit]{
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    min-height: 48px;
}
button:disabled {
    background: #c3c3c3;
}
button[type=submit] svg {
    width: 1.2rem;
    animation: girar 2s linear infinite;
}

button[type=submit]:disabled:hover {
    background: #c3c3c3;
    box-shadow: 0px 4px 12px #c3c3c3;
}

@keyframes girar {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}